msgpack::type::array_ref< T[N]> Struct Template Reference

`#include <array_ref.hpp>`

## Public Member Functions

| array_ref ()
| array_ref (T(&t)[N])
std::size_t | size () const
template<typename U >
bool | operator== (array_ref< U > const &t) const
template<typename U >
bool | operator!= (array_ref< U > const &t) const
template<typename U >
bool | operator< (array_ref< U > const &t) const
template<typename U >
bool | operator> (array_ref< U > const &t) const
template<typename U >
bool | operator<= (array_ref< U > const &t) const
template<typename U >
bool | operator>= (array_ref< U > const &t) const

## Public Attributes

T * | data

## Constructor & Destructor Documentation

## array_ref() [1/2]

template<typename T , std::size_t N>

msgpack::type::array_ref< T[N]>::array_ref | ( |  | ) |

inline

## array_ref() [2/2]

template<typename T , std::size_t N>

msgpack::type::array_ref< T[N]>::array_ref | ( | T(&) | t[N] | ) |

inline

## Member Function Documentation

## operator!=()

template<typename T , std::size_t N>
template<typename U >

bool msgpack::type::array_ref< T[N]>::operator!= | ( | array_ref< U > const & | t | ) | const

inline

## operator<()

template<typename T , std::size_t N>
template<typename U >

bool msgpack::type::array_ref< T[N]>::operator< | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## operator<=()

template<typename T , std::size_t N>
template<typename U >

bool msgpack::type::array_ref< T[N]>::operator<= | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## operator==()

template<typename T , std::size_t N>
template<typename U >

bool msgpack::type::array_ref< T[N]>::operator== | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data, and msgpack::type::array_ref< T >::size().

## operator>()

template<typename T , std::size_t N>
template<typename U >

bool msgpack::type::array_ref< T[N]>::operator> | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## operator>=()

template<typename T , std::size_t N>
template<typename U >

bool msgpack::type::array_ref< T[N]>::operator>= | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## size()

template<typename T , std::size_t N>

std::size_t msgpack::type::array_ref< T[N]>::size | ( |  | ) | const

inline

## Member Data Documentation

## data

template<typename T , std::size_t N>

T* msgpack::type::array_ref< T[N]>::data

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/array_ref.hpp